Skip to main content
Stay up to date with API changes: new endpoints, updates to existing ones and other improvements.

API Changes

GET /v1/public/files

  • added the required property items/items/name to the response with the 200 status

GET /v1/public/files/

  • added the required property name to the response with the 200 status

PATCH /v1/public/files/

  • added the required property name to the response with the 200 status

POST /v1/public/files/

  • added the required property name to the response with the 201 status

API Changes

Versioning ID Updates

  • Every item and property is now assigned a new id for each published version (previously, unchanged entities shared the same id across versions).
  • You must use the stable draft_item_id and draft_property_id fields to match and correlate entities across versions.

API Changes

GET /v1/public/items

  • added the optional property items/items/part_number to the response with the 200 status

POST /v1/public/items

  • added the new optional request property part_number
  • added the optional property part_number to the response with the 201 status

GET /v1/public/items/

  • added the optional property part_number to the response with the 200 status

PATCH /v1/public/items/

  • added the new optional request property part_number
  • added the optional property part_number to the response with the 200 status

GET /v1/public/products

  • added the optional property items/items/part_number to the response with the 200 status

POST /v1/public/products

  • added the new optional request property part_number
  • added the optional property part_number to the response with the 201 status

GET /v1/public/products/

  • added the optional property part_number to the response with the 200 status

PATCH /v1/public/products/

  • added the new optional request property part_number
  • added the optional property part_number to the response with the 200 status

API Changes

GET /v1/public/files

  • ⚠️ removed the required property items/items/name from the response with the 200 status
  • ⚠️ removed the optional property items/items/title from the response with the 200 status
  • added the optional property items/items/userTitle to the response with the 200 status
  • added the required property items/items/originalFileName to the response with the 200 status

GET /v1/public/files/

  • ⚠️ removed the required property name from the response with the 200 status
  • ⚠️ removed the optional property title from the response with the 200 status
  • added the optional property userTitle to the response with the 200 status
  • added the required property originalFileName to the response with the 200 status

PATCH /v1/public/files/

  • ⚠️ removed the required property name from the response with the 200 status
  • ⚠️ removed the request property title
  • ⚠️ removed the optional property title from the response with the 200 status
  • added the new optional request property userTitle
  • added the optional property userTitle to the response with the 200 status
  • added the required property originalFileName to the response with the 200 status

POST /v1/public/files/

  • ⚠️ removed the required property name from the response with the 201 status
  • ⚠️ removed the request property title
  • ⚠️ removed the optional property title from the response with the 201 status
  • added the new optional request property userTitle
  • added the optional property userTitle to the response with the 201 status
  • added the required property originalFileName to the response with the 201 status

API Changes

POST /v1/public/files/

  • endpoint added

API Changes

GET /v1/public/organization/users

  • endpoint added

API Changes

GET /v1/public/files

  • ⚠️ removed the required property items/items/file_path from the response with the 200 status
  • added the optional property items/items/description to the response with the 200 status
  • added the optional property items/items/title to the response with the 200 status

GET /v1/public/files/

  • endpoint added

PATCH /v1/public/files/

  • endpoint added

API Changes

GET /v1/public/properties

  • ⚠️ the response property items/items/references/items/item_document_id became optional for the status 200
  • ⚠️ response property items/items/references/items/item_document_id list-of-types was widened by adding types null to media type application/json of response 200
  • added the optional property items/items/references/items/file_link_id to the response with the 200 status
  • response property items/items/references/items/item_document_id deprecated

POST /v1/public/properties

  • ⚠️ the response property references/items/item_document_id became optional for the status 201
  • ⚠️ response property references/items/item_document_id list-of-types was widened by adding types null to media type application/json of response 201
  • added the optional property references/items/file_link_id to the response with the 201 status
  • response property references/items/item_document_id deprecated

GET /v1/public/properties/

  • ⚠️ the response property references/items/item_document_id became optional for the status 200
  • ⚠️ response property references/items/item_document_id list-of-types was widened by adding types null to media type application/json of response 200
  • added the optional property references/items/file_link_id to the response with the 200 status
  • response property references/items/item_document_id deprecated

PATCH /v1/public/properties/

  • ⚠️ the response property references/items/item_document_id became optional for the status 200
  • ⚠️ response property references/items/item_document_id list-of-types was widened by adding types null to media type application/json of response 200
  • added the optional property references/items/file_link_id to the response with the 200 status
  • response property references/items/item_document_id deprecated

API Changes

GET /v1/public/files//download

  • added the new optional ‘query’ request parameter ‘format’

GET /v1/public/items

  • added the optional property ‘items/items/description’ to the response with the ‘200’ status

POST /v1/public/items

  • added the new optional request property ‘description’
  • added the optional property ‘description’ to the response with the ‘201’ status

GET /v1/public/items/

  • added the optional property ‘description’ to the response with the ‘200’ status

PATCH /v1/public/items/

  • added the new optional request property ‘description’
  • added the optional property ‘description’ to the response with the ‘200’ status

GET /v1/public/products

  • added the optional property ‘items/items/description’ to the response with the ‘200’ status

POST /v1/public/products

  • added the new optional request property ‘description’
  • added the optional property ‘description’ to the response with the ‘201’ status

GET /v1/public/products/

  • added the optional property ‘description’ to the response with the ‘200’ status

PATCH /v1/public/products/

  • added the new optional request property ‘description’
  • added the optional property ‘description’ to the response with the ‘200’ status

API Changes

GET /v1/public/files

  • endpoint added

GET /v1/public/files//download

  • endpoint added

GET /v1/public/products

  • added the optional property ‘items/items/archived’ to the response with the ‘200’ status
  • added the optional property ‘items/items/excludedStatusIds’ to the response with the ‘200’ status
  • added the optional property ‘items/items/status’ to the response with the ‘200’ status

POST /v1/public/products

  • added the optional property ‘archived’ to the response with the ‘201’ status
  • added the optional property ‘excludedStatusIds’ to the response with the ‘201’ status
  • added the optional property ‘status’ to the response with the ‘201’ status

GET /v1/public/products/

  • added the optional property ‘archived’ to the response with the ‘200’ status
  • added the optional property ‘excludedStatusIds’ to the response with the ‘200’ status
  • added the optional property ‘status’ to the response with the ‘200’ status

PATCH /v1/public/products/

  • added the optional property ‘archived’ to the response with the ‘200’ status
  • added the optional property ‘excludedStatusIds’ to the response with the ‘200’ status
  • added the optional property ‘status’ to the response with the ‘200’ status

POST /v1/public/items

  • endpoint added

DELETE /v1/public/items/

  • endpoint added

PATCH /v1/public/items/

  • endpoint added

POST /v1/public/products

  • endpoint added

DELETE /v1/public/products/

  • endpoint added

PATCH /v1/public/products/

  • endpoint added

POST /v1/public/properties

  • endpoint added

DELETE /v1/public/properties/

  • endpoint added

PATCH /v1/public/properties/

  • endpoint added